<?php

namespace Drupal\tome_static\Event;

/**
 * Defines events for Tome Static.
 */
final class TomeStaticEvents {

  /**
   * Name of the event fired when collecting paths for the static generator.
   *
   * @Event
   *
   * @see \Drupal\tome_static\Event\CollectPathsEvent
   *
   * @var string
   */
  const COLLECT_PATHS = 'tome_static.collect_paths';

  /**
   * Name of the event fired when replacing a path placeholder.
   *
   * @Event
   *
   * @see \Drupal\tome_static\Event\PathPlaceholderEvent
   *
   * @var string
   */
  const PATH_PLACEHOLDER = 'tome_static.path_placeholder';

}
