<?php

namespace Drupal\tome_test\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Render\HtmlResponse;

/**
 * Contains test pages for the tome module.
 *
 * @codingStandardsIgnoreFile
 */
class TestController extends ControllerBase {

  /**
   * Outputs a test page.
   */
  public function testPage() {
    $response = new HtmlResponse();
    $response->setContent('Hello, world');
    return $response;
  }

  /**
   * Outputs a more complex test page.
   */
  public function testComplexPage() {
    $module_path = drupal_get_path('module', 'tome_test');
    return [
      '#markup' => "<p>Hello, complex world</p>
<img src=\"/$module_path/assets/druplicon-1.png\">
<img src=\"/$module_path/assets/file%20with%20space.png\">
<img srcset=\"/$module_path/assets/srcset-test1.png 320w, /$module_path/assets/srcset-test2.png 420w\">
<source srcset=\"/$module_path/assets/srcset-test3.png\">",
      '#allowed_tags' => ['img', 'p', 'source'],
      '#attached' => [
        'library' => [
          'tome_test/complex_page',
        ],
      ],
    ];
  }

  /**
   * Outputs a more page with pagers.
   */
  public function testPageWithPagers() {
    return [
      '#markup' => '<a href="?page=0">Page 1</a><a href="?page=1">Page 2</a><a href="/foobar?page=2">Page 3</a>',
      '#allowed_tags' => ['a'],
    ];
  }

}
